package cn.chatbot.ticket.entity;

import java.util.Date;
import java.math.BigDecimal;

/**
 * SLA
 */
public class Sla {
	/** 创建时间 */
	private Date createTime;
	/** 用户创建人 */
	private String createUser;
	/** 工单指派 SLA */
	private BigDecimal distributionSla;
	/** 主键 */
	private String id;
	/** 0-正常，1-删除 */
	private Byte isDel;
	/** 工单回复 SLA */
	private BigDecimal replySla;
	/** 工单设置 SLA */
	private BigDecimal settingSla;
	/** 修改时间 */
	private Date updateTime;
	/** 更新者 */
	private String updateUser;

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	public Date getCreateTime() {
		return this.createTime;
	}
	
	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}
	
	public String getCreateUser() {
		return this.createUser;
	}
	
	public void setDistributionSla(BigDecimal distributionSla) {
		this.distributionSla = distributionSla;
	}
	
	public BigDecimal getDistributionSla() {
		return this.distributionSla;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getId() {
		return this.id;
	}
	
	public void setIsDel(Byte isDel) {
		this.isDel = isDel;
	}
	
	public Byte getIsDel() {
		return this.isDel;
	}
	
	public void setReplySla(BigDecimal replySla) {
		this.replySla = replySla;
	}
	
	public BigDecimal getReplySla() {
		return this.replySla;
	}
	
	public void setSettingSla(BigDecimal settingSla) {
		this.settingSla = settingSla;
	}
	
	public BigDecimal getSettingSla() {
		return this.settingSla;
	}
	
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	
	public Date getUpdateTime() {
		return this.updateTime;
	}
	
	public void setUpdateUser(String updateUser) {
		this.updateUser = updateUser;
	}
	
	public String getUpdateUser() {
		return this.updateUser;
	}
	

	@Override
    public boolean equals(Object o) {
        if (this == o) { return true; }
        if (o == null || getClass() != o.getClass()) {return false;}
        Sla that = (Sla) o;
        return id.equals(that.id);
    }

    @Override
    public int hashCode() {
        return java.util.Objects.hash(id);
    }
    
    @Override
    public String toString() {
        return "Sla{" +
				"createTime=" + createTime +
						",createUser='" + createUser + "'" + 
						",distributionSla='" + distributionSla + "'" + 
						",id='" + id + "'" + 
						",isDel='" + isDel + "'" + 
						",replySla='" + replySla + "'" + 
						",settingSla='" + settingSla + "'" + 
						",updateTime='" + updateTime + "'" + 
						",updateUser='" + updateUser + "'" + 
		                '}';
    }
	
}